QGIS Application - Bug report #13341
DBManager doesn't import view from table with non numeric key
2015-09-11 12:45 AM - Moreno Comelli

Status: Closed

Priority: Normal

Assignee:

Category: DB Manager

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 21394
Description

DBManager can import without any problem PostGIS geometries with non numeric Primary Key.
When a view is made from a such kind of table:

CREATE OR REPLACE VIEW my_schema.my_view AS
SELECT * FROM my_schema.my_table;

it can be imported correctly using the tool 'Add PostGIS layer' (after choosing the primary key column).
DBManager doesn't display the geometry in the preview window, and when trying to import it alerts "The layer is not a valid layer and can
not be added to the map'.

I've already seen Bug report #11317; the problem is related to DBManager, since QGIS can manage it, so it doesn't depend on unique
key.

Related issues:
Related to QGIS Application - Bug report # 13670: DBManager selects wrong fie... Closed 2015-10-25

History

#1 - 2015-10-25 06:16 AM - Sebastian Dietrich
DBManager basically uses the first numeric column as the key for a view. See also #13670.

The solution would be the same: Ask the user what column(s) to use as the primary key.

#2 - 2015-11-07 10:17 AM - Giovanni Manghi

- Affected QGIS version changed from 2.10.1 to master
- Operating System deleted (Windows)

- OS version deleted (8.1)

#3 - 2015-11-07 10:18 AM - Giovanni Manghi

see also #13670

#4 - 2017-05-01 01:06 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#5 - 2019-03-09 04:09 PM - Giovanni Manghi
- Resolution set to end of life
- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-Itr/
